<'
# check arguments
if {[llength $argv] != 2} { error "expected argument: component suffix" }
lassign $argv c suffix
'>
# pkg-config file for <"[$c name]"> interface and codels library
#
prefix=@prefix@
exec_prefix=@exec_prefix@
libdir=@libdir@
includedir=@includedir@
datarootdir=@datarootdir@
idldir=@datadir@/idl

Name: <"[$c name]">-<"$suffix">
Description: <"[$c name]"> interface and codels library
Version: @PACKAGE_VERSION@
Requires: @requires_SPEC@
Cflags: -I${includedir} -I${idldir}
Libs: -L${libdir} -l<"[$c name]">_codels
Libs.private: @codels_requires_LIBS@
